This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 480526 - Resume from hibernate fails on Tyan Tomcat K8E for 2.6.28 kernels
Resume from hibernate fails on Tyan Tomcat K8E for 2.6.28 kernels
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-18 05:21 EST by Joachim Frieben
Modified: 2009-12-18 02:38 EST (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.29-0.50.rc6.git5.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:38:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2009-01-18 05:21:00 EST
Description of problem:
After upgrading to kernel 2.6.28.1-9.rc2.fc10.x86_64 from 2.6.27.10-169.fc10.x86_64 on a Tyan Tomcat K8E (S2865AG2NRF), the system fails to resume from hibernate. Instead, it boots up normally ending up with the GDM login screen whereas before, the GNOME screensaver prompted the user for his password to resume the GNOME session from which the hibernate command was issued.

Version-Release number of selected component (if applicable):
kernel-2.6.28.1-9.rc2.fc10.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Click "Hibernate" on the logout panel from within active GNOME session.
2. Boot system after it has powered off.
  
Actual results:
GDM login manager appears on the screen.

Expected results:
Lock dialog window of GNOME screensaver appears on the screen.

Additional info:
- Resume from hibernate used to work for kernel 2.6.27.10-169.fc10.x86_64
  and earlier kernels.
- Resume from hibernate also fails for kernel 2.6.29-0.19.rc0.fc11.x86_64.
- Suspend on the same system ceased to work a some point in the F9 update
  cycle for some 2.6.27.x kernel whereas it workd with the initial F9
  kernel 2.6.25-14.fc9.x86_64, see bug 469580.
Comment 1 Joachim Frieben 2009-01-20 11:55:58 EST
kernel-2.6.28.1-16.fc10.x86_64 fails as previous 2.6.28.x kernels. In /var/log/boot.log, a surprising entry can be found. After recovering file journals from the failed attempt to hibernate -or- to resume from hibernate, one reads

  Enabling local filesystem quotas:                          [  OK  ]
  Enabling /etc/fstab swaps:  swapon: /dev/mapper/VolGroup00-LogVol03:
    software suspend data detected. Reinitializing the swap.
  Setting up swapspace version 1, size = 4194300 KiB

It is thus claimed that -suspend- data has been detected in the swap partition. However, hibernation had been triggered as root from runlevel 3 executing 'pm-hibernate'. The outcome is hence the same as when clicking button "Shutdown > Hibernate" in a GNOME session.
Comment 2 Steven Bularca 2009-01-27 17:42:46 EST
I would like to point out that this bug is also reproducible on HP Pavilion dv1657cl with Intel Pentium-M CPU and kernel-2.6.28.1-19.fc10.i686. I haven't been able to boot a 2.6.29-rc2 kernel to test if it has been fixed in upstream or not, so perhaps someone else can provide some more information about this.
Comment 3 Joachim Frieben 2009-01-30 13:53:34 EST
Kernel 2.6.29-0.6.rc3.fc10.x86_64 still fails to resume. However, upon selection of kernel-2.6.27.12-170.2.5.fc10.x86_64 in the boot loader menu, the still present swap image is read in correctly. The screensaver lock dialog appears and upon logging in, 'uname -r' reports 2.6.29-0.6.rc3.fc10.x86_64!
Comment 4 Joachim Frieben 2009-02-09 05:28:22 EST
Kernel 2.6.29-0.22.rc4.git1.fc10.x86_64 equally fails to load its own hibernate image whereas alternate kernel-2.6.27.15-170.2.19.fc10.x86_64 does load both of the own and the 2.6.29 ones.
Comment 5 Bug Zapper 2009-11-18 05:47:27 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 02:38:38 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.